Bug 114911 - kernel 2.6.1 breaks trackpad tap-to-click
Summary: kernel 2.6.1 breaks trackpad tap-to-click
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-04 13:53 UTC by anthony baxter
Modified: 2015-01-04 22:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 23:41:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description anthony baxter 2004-02-04 13:53:25 UTC
Description of problem:

I dropped kernel 2.6.1-65 onto my Dell Inspiron 5150, and the 
tapping the trackpad to make a left mouse click is no longer 
working. Reverting to a 2.4 kernel makes it work again.

The device, according to XF86Config is a PS/2 type.

Version-Release number of selected component (if applicable):

kernel 2.6.1-65

How reproducible:

Always - boot, attempt to use the trackpad by tapping on it.

Steps to Reproduce:
1. Boot
2. Start X
3. Tap on the trackpad
  
Actual results:

No left mouse button event.

Expected results:

A left mouse button event.

Additional info:

Comment 1 anthony baxter 2004-02-04 13:59:28 UTC
Boot messages (forgot to include these, sorry)
Synaptics Touchpad, model: 1
 Firmware: 5.9
 Sensor: 37
 new absolute packet format
 Touchpad has extended capability bits
 -> multifinger detection
 -> palm detection
input: SynPS/2 Synaptics TouchPad on isa0060/serio1



Comment 2 anthony baxter 2004-02-05 12:57:50 UTC
I suspect that this might be the same thing as bug 99351.

Comment 3 Aleksey Nogin 2004-02-18 05:21:59 UTC
See also bug 116091

Comment 4 Dave Jones 2004-11-19 03:30:09 UTC
did this get fixed in newer kernels ?


Comment 5 anthony baxter 2004-11-19 03:53:42 UTC
Yes, it's working fine now.


Note You need to log in before you can comment on or make changes to this bug.